#!/usr/bin/env ruby
require("gsl")
n = 50
x = Vector.linspace(0, 2, n)

y2 = Sf::transport_2(x)
y3 = Sf::transport_3(x)
y4 = Sf::transport_4(x)
y5 = Sf::transport_5(x)
Vector.graph(x, y2, y3, y4, y5, "-T X -C -g 3 -X x -Y 'J(x)' --toggle-rotate-y-label -L 'Transport functions'")
